CREATE OR REPLACE PROCEDURE ADD_CLINICA_PROCE
(DIRECCION_CLI IN VARCHAR2,NOMBRE_CLI IN VARCHAR2,TELELFONO_CLI IN VARCHAR2) IS
BEGIN
    INSERT INTO CLINICA (DIRECCION_CLI,NOMBRE_CLI,TELELFONO_CLI)
    VALUES (DIRECCION_CLI,NOMBRE_CLI,TELELFONO_CLI);
END;

CREATE SEQUENCE CLINICA_SEQUENCE
 START WITH     1
 INCREMENT BY   1
 NOCACHE
 NOCYCLE;

create or replace trigger CLINICA_TRIGGER  
   before insert on "CLINICA"."CLINICA" 
   for each row 
begin  
   if inserting then 
      if :NEW."ID_CLINICA" is null then 
         select CLINICA_SEQUENCE.nextval into :NEW."ID_CLINICA" from dual; 
      end if; 
   end if; 
end;

